org.apache.pdfbox.pdmodel.font.encoding

## Class GlyphList

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.encoding.GlyphList

    public final class GlyphList
    extends Object

PostScript glyph list, maps glyph names to sequences of Unicode characters. Instances of GlyphList are immutable.

### Constructor Summary

Constructors
Constructor and Description
`GlyphList(GlyphList glyphList, InputStream input)` Creates a new GlyphList from multiple glyph list files.
`GlyphList(InputStream input, int numberOfEntries)` Creates a new GlyphList from a glyph list file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `codePointToName(int codePoint)` Returns the name for the given Unicode code point.
`static GlyphList` `getAdobeGlyphList()` Returns the Adobe Glyph List (AGL).
`static GlyphList` `getZapfDingbats()` Returns the Zapf Dingbats glyph list.
`String` `sequenceToName(String unicodeSequence)` Returns the name for a given sequence of Unicode characters.
`String` `toUnicode(String name)` Returns the Unicode character sequence for the given glyph name, or null if there isn't any.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlyphList

    public GlyphList(InputStream input,
                     int numberOfEntries)
              throws IOException

Creates a new GlyphList from a glyph list file.

Parameters:
  `numberOfEntries` - number of expected values used to preallocate the correct amount of memory
  `input` - glyph list in Adobe format
Throws:
  `IOException` - if the glyph list could not be read

#### GlyphList

    public GlyphList(GlyphList glyphList,
                     InputStream input)
              throws IOException

Creates a new GlyphList from multiple glyph list files.

Parameters:
  `glyphList` - an existing glyph list to be copied
  `input` - glyph list in Adobe format
Throws:
  `IOException` - if the glyph list could not be read

### Method Detail

#### getAdobeGlyphList

    public static GlyphList getAdobeGlyphList()

Returns the Adobe Glyph List (AGL).

#### getZapfDingbats

    public static GlyphList getZapfDingbats()

Returns the Zapf Dingbats glyph list.

#### codePointToName

    public String codePointToName(int codePoint)

Returns the name for the given Unicode code point.

Parameters:
  `codePoint` - Unicode code point
Returns:
  PostScript glyph name, or ".notdef"

#### sequenceToName

    public String sequenceToName(String unicodeSequence)

Returns the name for a given sequence of Unicode characters.

Parameters:
  `unicodeSequence` - sequence of Unicode characters
Returns:
  PostScript glyph name, or ".notdef"

#### toUnicode

    public String toUnicode(String name)

Returns the Unicode character sequence for the given glyph name, or null if there isn't any.

Parameters:
  `name` - PostScript glyph name
Returns:
  Unicode character(s), or null.